Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class EntityDescriptor

    java.lang.Object
      org.hibernate.search.cfg.EntityDescriptor

    public class EntityDescriptor

extends java.lang.Object

Author:
  Emmanuel Bernard

Constructor Summary
`EntityDescriptor(java.lang.Class<?> entityType)`

Method Summary
`void` | `addClassBridgeDef(java.util.Map<java.lang.String,java.lang.Object> classBridge)`
`void` | `addFulltextFilterDef(java.util.Map<java.lang.String,java.lang.Object> fullTextFilterDef)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getAnalyzerDiscriminator()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getBoost()`
`java.util.Set<java.util.Map<java.lang.String,java.lang.Object>>` | `getClassBridgeDefs()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getDynamicBoost()`
`java.util.Set<java.util.Map<java.lang.String,java.lang.Object>>` | `getFullTextFilterDefs()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getIndexed()`
`PropertyDescriptor` | `getPropertyDescriptor(java.lang.String name, java.lang.annotation.ElementType type)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getProvidedId()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getSimilarity()`
`void` | `setAnalyzerDiscriminator(java.util.Map<java.lang.String,java.lang.Object> analyzerDiscriminator)`
`void` | `setBoost(java.util.Map<java.lang.String,java.lang.Object> boost)`
`void` | `setDynamicBoost(java.util.Map<java.lang.String,java.lang.Object> dynamicEntityBoost)`
`void` | `setIndexed(java.util.Map<java.lang.String,java.lang.Object> indexed)`
`void` | `setProvidedId(java.util.Map<java.lang.String,java.lang.Object> providedId)`
`void` | `setSimilariy(java.util.Map<java.lang.String,java.lang.Object> similarity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityDescriptor

    public EntityDescriptor(java.lang.Class<?> entityType)

Method Detail

### getIndexed

    public java.util.Map<java.lang.String,java.lang.Object> getIndexed()

### setIndexed

    public void setIndexed(java.util.Map<java.lang.String,java.lang.Object> indexed)

### getPropertyDescriptor

    public PropertyDescriptor getPropertyDescriptor(java.lang.String name,
                                                    java.lang.annotation.ElementType type)

### setSimilariy

    public void setSimilariy(java.util.Map<java.lang.String,java.lang.Object> similarity)

### getSimilarity

    public java.util.Map<java.lang.String,java.lang.Object> getSimilarity()

### setBoost

    public void setBoost(java.util.Map<java.lang.String,java.lang.Object> boost)

### getBoost

    public java.util.Map<java.lang.String,java.lang.Object> getBoost()

### setAnalyzerDiscriminator

    public void setAnalyzerDiscriminator(java.util.Map<java.lang.String,java.lang.Object> analyzerDiscriminator)

### getAnalyzerDiscriminator

    public java.util.Map<java.lang.String,java.lang.Object> getAnalyzerDiscriminator()

### getFullTextFilterDefs

    public java.util.Set<java.util.Map<java.lang.String,java.lang.Object>> getFullTextFilterDefs()

### addFulltextFilterDef

    public void addFulltextFilterDef(java.util.Map<java.lang.String,java.lang.Object> fullTextFilterDef)

### addClassBridgeDef

    public void addClassBridgeDef(java.util.Map<java.lang.String,java.lang.Object> classBridge)

### getClassBridgeDefs

    public java.util.Set<java.util.Map<java.lang.String,java.lang.Object>> getClassBridgeDefs()

### setProvidedId

    public void setProvidedId(java.util.Map<java.lang.String,java.lang.Object> providedId)

### getProvidedId

    public java.util.Map<java.lang.String,java.lang.Object> getProvidedId()

### setDynamicBoost

    public void setDynamicBoost(java.util.Map<java.lang.String,java.lang.Object> dynamicEntityBoost)

### getDynamicBoost

    public java.util.Map<java.lang.String,java.lang.Object> getDynamicBoost()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.